import { Translation } from '../../translate/types';
import { StorageClass, StorageclassFeature } from './types';
export declare function getProvisionerDisplay(sc: StorageClass): Translation;
export declare function getProvisionerType(sc: StorageClass): import("./types").StorageType | "unknown";
export declare function getStorageclassFeatures(sc: StorageClass): StorageclassFeature[];
export declare function getStorageclassVolumeModes(sc: StorageClass): import("./types").VolumeMode[];
export declare function getStorageclassAccessModes(sc: StorageClass, isFromSnapshot?: boolean): ("ReadOnlyMany" | "ReadWriteOnce" | "ReadWriteMany")[];
export declare function isStorageclassFeaturedSupported(storageclass: StorageClass, feature: StorageclassFeature): boolean;
export declare function isDefaultStorageclass(data: StorageClass): boolean;
